#4. Программа принимает действительное положительное число x и целое отрицательное число y.
# Необходимо выполнить возведение числа x в степень y. Задание необходимо реализовать в виде функции my_func(x, y).
# При решении задания необходимо обойтись без встроенной функции возведения числа в степень.

def my_func(x: float, y:int):
    return x ** y
def my_func2(x: float, y: int):
    a = 1
    if y < 0:
        x = 1 / x
        y = abs(y)
    if not (y % 2 == 0):
        a = x
        y -= 1
    while y != 1:
        x *= x
        y /= 2
    x *= a
    return x

x = float(input('Введите x:'))
y = float(input('Введите y:'))

print(f'Через ** : {my_func(x,y)}')
print(f'Без встроенной функции : {my_func2(x,y)}')
